## rcsskin.cgi
## Copyright(C) rin (http://rohuu.s59.xrea.com/) 2006
## Last modified 2006/06/03
## Skin file (default)

#use strict;

##------------------------------------------
## fOgCSS
##------------------------------------------
sub skin_css{
	my $disp = <<"EOM";     ## CSS
div#rcsbbs{
	margin: 0px;
	padding: 0px;
	border-style: hidden;
	font-size: 10pt;
	width: $INI{'p_width'};
	z-index: 1;
	filter: alpha(opacity=100);
	-moz-opacity: 0.99;
	opacity: 1;
	cursor: url("$INI{'cursor_dir'}/$INI{'normal_cursor'}"),default;
}
a.rcsbbs_link{
	margin: 0px;
	padding: 0px;
	font-size: 10pt;
	text-decoration: none;
	color: #003388;
	cursor: url("$INI{'cursor_dir'}/$INI{'link_cursor'}"),pointer;
}
a:hover.rcsbbs_link{color: #4477cc;}
a.rcsbbs_bgchlink{
	margin: 0px;
	padding: 0px;
	font-size: 10pt;
	text-decoration: none;
	color: #003388;
	background-color: #77aaff;
	cursor: url("$INI{'cursor_dir'}/$INI{'link_cursor'}"),pointer;
}
a:hover.rcsbbs_bgchlink{color: #4477cc;}
input.rcsbbsform,textarea.rcsbbsform,button.rcsbbsform,select.rcsbbsform{
	margin: 0px;
	padding: 0px;
	color: #000000;
	background-color: #ffffff;
	border: 1px #bbbbbb solid;
}
table#rcsbbs_table1{
	margin: 0px;
	padding: 0px;
	border: 0px;
	width: 100%;
	text-align: left;
	font-size: 10pt;
	table-layout: fixed;
	position: static;
}
tr#rcsbbs_ttr{
	margin: 0px;
	padding: 0px;
	white-space: nowrap;
}
td#rcsbbs_td1{
	margin: 0px;
	padding: 0px;
	width: 16px;
	height: 17px;
	background-image: url($INI{'img_dir'}/ro01.gif);
}
td#rcsbbs_td2{
	margin: 0px;
	padding: 0px;
	height: 17px;
	text-align: left;
	font-size: 10pt;
	white-space: nowrap;
	overflow: hidden;
	background-image: url($INI{'img_dir'}/ro02.gif);
}
div#rcsbbs_titlebar{
	margin: 0px;
	padding: 0px;
	width: 100%;
	height: 100%;
}
td#rcsbbs_td3{
	margin: 0px;
	padding: 0px;
	width: 30px;
	height: 17px;
	white-space: nowrap;
	background-image: url($INI{'img_dir'}/ro03.gif);
}
span#rcsbbs_minimize{
	margin: 0px;
	padding: 0px;
	font-size: 10pt;
	width: 15px;
	cursor: url("$INI{'cursor_dir'}/$INI{'link_cursor'}"),pointer;
}
span#rcsbbs_close{
	margin: 0px;
	padding: 0px;
	font-size: 10pt;
	width: 15px;
	cursor: url("$INI{'cursor_dir'}/$INI{'link_cursor'}"),pointer;
}
td#rcsbbs_td4{
	margin: 0px;
	padding: 0px;
	background-color: #ffffff;
	border-width: 0px 1px 0px 1px;
	border-color: #bbbbbb;
	border-style: solid;
}
table#rcsbbs_table2{
	margin: 0px;
	padding: 0px;
	border: 0px;
	width: 100%;
	height: 100%;
}
tr#rcsbbs_iframe_tr{
	margin: 0px;
	padding: 0px;
	width: 100%;
	height: 100%;
}
td#rcsbbs_iframe_td{
	margin: 0px;
	padding: 0px;
	width: 100%;
	height: 100%;
}
iframe#rcsbbs_iframe{
	margin: 0px;
	padding: 0px;
	border: 0px;
	width: 100%;
	height: $INI{'p_height'};
}
td#rcsbbs_menu_td{
	margin: 0px;
	padding: 0px 0px 0px 3px;
	border-width: 0px 0px 0px 1px;
	border-color: #bbbbbb;
	border-style: solid;
}
div#rcsbbs_menu{
	margin: 0px;
	padding: 0px;
	text-align: left;
	vertical-align: top;
	min-width: 50px;
	height: $INI{'p_height'};
	font-size: 10pt;
	white-space: nowrap;
	overflow: visible;
}
span#rcsbbs_visitorlist{
	margin: 0px;
	padding: 0px;
	font-size: 10pt;
	color: #5588dd;
}
td#rcsbbs_td5{
	margin: 0px;
	padding: 0px;
	height: 30px;
	overflow: visible;
	background-image: url($INI{'img_dir'}/ro07.gif);
}
td#rcsbbs_td6{
	margin: 0px;
	padding: 0px;
	height: 30px;
	overflow: hidden;
	background-image: url($INI{'img_dir'}/ro08.gif);
}
input#rcsbbs_form_com{color:#$COOK{'color'};}
td#rcsbbs_td7{
	margin: 0px;
	padding: 0px;
	height: 30px;
	background-image: url($INI{'img_dir'}/ro09.gif);
}
div#rcsbbs_resizearea{
	margin: 0px;
	padding: 0px;
	width: 100%;
	height: 100%;
	cursor: url("$INI{'cursor_dir'}/$INI{'link_cursor'}"),pointer;
}
td#rcsbbs_copyright{text-align: center;}
a#rcsbbs_copyrightlink{
	font-size: 8pt;
	width: auto;
	background-color: transparent;
}
EOM
## ܂CSS
	return $disp;
}


##------------------------------------------
## fOg
##------------------------------------------
sub skin_frame{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<style type="text/css"><!--$dd->{'css'}--></style>
<div id="rcsbbs">
	<form id="rcsbbs_form" name="rcsbbs_form" action="$INI{'scr_b'}/$INI{'scr'}" method="post" target="rcsbbsif">
		<table id="rcsbbs_table1" cellspacing="0" cellpadding="0" summary="rcsbbs table1">
			<tr id="rcsbbs_ttr">
				<td id="rcsbbs_td1">&nbsp;</td>
				<td id="rcsbbs_td2"><div id="rcsbbs_titlebar">$INI{'title'}</div></td>
				<td id="rcsbbs_td3">
					<tt>
						<span id="rcsbbs_minimize" title="ŏ/ő剻">&nbsp;&nbsp;</span><span id="rcsbbs_close" title="">&nbsp;&nbsp;</span>
					</tt>
				</td>
			</tr>
			<tr id="rcsbbs_mtr">
				<td id="rcsbbs_td4" colspan="3">
					<table id="rcsbbs_table2" cellspacing="0" cellpadding="0" summary="rcsbbs table2">
						<tr id="rcsbbs_iframe_tr">
							<td id="rcsbbs_iframe_td">
								<iframe id="rcsbbs_iframe" name="rcsbbsif" src="$INI{'scr_b'}/$INI{'scr'}?mode=top" frameborder="0" title="$INI{'title'}" /></iframe>
							</td>
							<td id="rcsbbs_menu_td">
								<div id="rcsbbs_menu">
									<a id="rcsbbs_setlink" href="$INI{'scr_b'}/$INI{'scr'}?mode=set" target="rcsbbsif" title="ݒ" class="rcsbbs_link">$dd->{'name'}</a><br />
									<span id="rcsbbs_visitorlist" title="{"></span>
									<a id="rcsbbs_newslink" href="$INI{'scr_b'}/$INI{'scr'}?mode=top" target="rcsbbsif" title="L" class="rcsbbs_bgchlink">News</a><br />
									<a id="rcsbbs_loglink" href="$INI{'scr_b'}/$INI{'scr'}?mode=log" target="rcsbbsif" title="O" class="rcsbbs_link">Log</a><br />
									<a id="rcsbbs_helplink" href="$INI{'scr_b'}/$INI{'scr'}?mode=help" target="rcsbbsif" title="wv" class="rcsbbs_link">Help</a><br />
									<a id="rcsbbs_adminlink" href="$INI{'scr_b'}/$INI{'scr'}?mode=admin" target="rcsbbsif" title="Ǘ" class="rcsbbs_link">Admin</a>
								</div>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr id="rcsbbs_btr">
				<td id="rcsbbs_td5"></td>
				<td id="rcsbbs_td6">
					<input id="rcsbbs_form_mode" type="hidden" name="mode" value="regist" />
					<input id="rcsbbs_form_com" type="text" name="com_text" value="" size="$INI{'text_width'}" class="rcsbbsform" />
				</td>
				<td id="rcsbbs_td7"><div id="rcsbbs_resizearea" title="TCY">&nbsp;</div></td>
			</tr>
			<tr id="rcsbbs_copyright_tr">
				<td id="rcsbbs_copyright" colspan="3">
					<a id="rcsbbs_copyrightlink" href="http://rohuu.s59.xrea.com/" target="_blank" title="$GLOBAL{'product_name'} Ver-$GLOBAL{'version'} Copyright(C) 땗" class="rcsbbs_link">$GLOBAL{'product_name'}</a>
				</td>
			</tr>
		</table>
	</form>
</div>
EOM
## ܂HTML
## 쌠\̉ς͋֎~łB
## ȂǂŒ쌠\ǉ̂OKłB
	return $disp;
}


##------------------------------------------
## CCt[CSS
##------------------------------------------
sub skin_css2{
	my $dd = shift;
	my $disp = <<"EOM";     ## CSS
body{
	margin: 0px;
	padding: 0px;
	font-size: 8pt;
	cursor: url("$INI{'ifcursor_dir'}/$INI{'normal_cursor'}"),default;
}
table{font-size: 8pt;}
div#page{
	margin: 0px;
	padding: 0px 0px 0px 3px;
	background-color: #ffffff;
	position: absolute;
	font-size: 8pt;
	z-index: 10;
	top: 0px;
	left: 0px;
	width: 95%;
	height: 100%;
}
a{
	color: #003388;
	text-decoration: none;
	cursor: url("$INI{'ifcursor_dir'}/$INI{'link_cursor'}"),pointer;
}
a:hover{color: #4477cc;}
span.newsline{font-size: 10pt;}  /* L̃tHgTCY */
input,textarea,button,select{
	color: #000000;
	background-color: #ffffff;
	border: 1px #bbbbbb solid
}
div#news{visibility: $dd->{'visibility'};}
td#set_table_td1{
	padding-right: 8px;
	vertical-align: top;
	white-space: nowrap;
}
div#set_div_sckey{white-space: nowrap;}
small{
	font-size: 7pt;
	color: #aaaaaa
}
EOM
## ܂CSS
	return $disp;
}


##------------------------------------------
## CCt[̃wb_[
##------------------------------------------
sub skin_head{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<?xml version="1.0" encoding="$dd->{'code'}"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja">
<head>$INI{'noad_h'}
	<style type="text/css"><!--
		$dd->{'css'}
	--></style>
	<title>$dd->{'title'}</title>
</head>
<body id="page_id_$dd->{'page_id'}" onload="parent.Rcsbbs.IfLoad('$COOK{'id'}')">$INI{'noad_b'}
<div id="page">
EOM
## ܂HTML
	return $disp;
}


##------------------------------------------
## LiŚj
##------------------------------------------
sub skin_news{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<div id="news">
	$dd->{'news'}
</div>
</div>
</body>
</html>
EOM
## ܂HTML
	return $disp;
}


##------------------------------------------
## Lisj
##------------------------------------------
sub skin_line{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<span id="news_line$dd->{'num'}" title="$dd->{'date'}" style="color:#$dd->{'color'}" class="newsline">$dd->{'name'} : $dd->{'com'}</span><br />
EOM
## ܂HTML
	return $disp;
}


##------------------------------------------
## ݒtH[
##------------------------------------------
sub skin_set{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<div id="set">
	<form id="set_form" name="set_form" action="$INI{'scr'}" method="post">
		<p id="set_p_hidden">
			<input id="set_mode" type="hidden" name="mode" value="set" />
			<input id="set_action" type="hidden" name="action" value="w" />
		</p>
		<table id="set_table" summary="set table"><tr>
			<td id="set_table_td1">
				<div id="set_div">
					<p id="set_p_name">Name : <input id="set_name" type="text" name="name_itext" value="$COOK{'name'}" /></p>
					<p id="set_p_color">Word Color : <select id="set_color" name="color">$dd->{'color_list'}</select></p>
					<p id="set_p_stealth" style="display:$dd->{'display'}{'visitorlist_usable'}">
						<span title="̉{҂̉{҃Xg玩̖OB܂B">Stealth Mode :</span>
						<input id="set_stealth" type="checkbox" name="stealth" value="1"$dd->{'stealth_checked'} />
					</p>
					<p id="set_p_jsmode" style="display:$dd->{'display'}{'js_full_mode'}">
						<span title="JavaScript̓샂[hݒBFull Mode:@\\ Lite Mode:@\\">JavaScript Mode :</span>
						<select id="set_jsmode" name="jsmode">$dd->{'jsmode_list'}</select>
					</p>
					<p id="set_p_submit"><input id="set_submit" type="submit" value=" Kp " /></p>
				</div>
			</td>
			<td id="set_table_td2" style="display:$dd->{'display'}{'js_full_mode'}">
				<div id="set_div_sckey">
					<p id="set_sckeytitle">Shortcut Key :</p>
					<p id="set_p_focus">
						<span title="͗ɃtH[JX킹">Set Focus :</span>
						<select id="set_m_focus" name="sc_m_focus">$dd->{'mkey_list'}[0]</select> +
						<select id="set_k_focus" name="sc_k_focus">$dd->{'sckey_list'}[0]</select>
					</p>
					<p id="set_p_mini">
						<span title="fŏ/ő剻">Minimize or Maximize :</span>
						<select id="set_m_mini" name="sc_m_mini">$dd->{'mkey_list'}[1]</select> +
						<select id="set_k_mini" name="sc_k_mini">$dd->{'sckey_list'}[1]</select>
					</p>
					<p id="set_p_close">
						<span title="fN[Y/I[v">Close or Open :</span>
						<select id="set_m_close" name="sc_m_close">$dd->{'mkey_list'}[2]</select> +
						<select id="set_k_close" name="sc_k_close">$dd->{'sckey_list'}[2]</select>
					</p>
					<p id="set_p_left">
						<span title="fֈړ">Move Left :</span>
						<select id="set_m_left" name="sc_m_left">$dd->{'mkey_list'}[3]</select> +
						<select id="set_k_left" name="sc_k_left">$dd->{'sckey_list'}[3]</select>
					</p>
					<p id="set_p_up">
						<span title="fֈړ">Move Up :</span>
						<select id="set_m_up" name="sc_m_up">$dd->{'mkey_list'}[4]</select> +
						<select id="set_k_up" name="sc_k_up">$dd->{'sckey_list'}[4]</select>
					</p>
					<p id="set_p_right">
						<span title="fEֈړ">Move Right :</span>
						<select id="set_m_right" name="sc_m_right">$dd->{'mkey_list'}[5]</select> +
						<select id="set_k_right" name="sc_k_right">$dd->{'sckey_list'}[5]</select>
					</p>
					<p id="set_p_down">
						<span title="fֈړ">Move Down :</span>
						<select id="set_m_down" name="sc_m_down">$dd->{'mkey_list'}[6]</select> +
						<select id="set_k_down" name="sc_k_down">$dd->{'sckey_list'}[6]</select>
					</p>
					<p id="set_p_big">
						<span title="f̃TCY傫">Resize Bigger :</span>
						<select id="set_m_big" name="sc_m_big">$dd->{'mkey_list'}[7]</select> +
						<select id="set_k_big" name="sc_k_big">$dd->{'sckey_list'}[7]</select>
					</p>
					<p id="set_p_small">
						<span title="f̃TCY">Resize Smaller :</span>
						<select id="set_m_small" name="sc_m_small">$dd->{'mkey_list'}[8]</select> +
						<select id="set_k_small" name="sc_k_small">$dd->{'sckey_list'}[8]</select>
					</p>
					<p id="set_p_reset">
						<span title="f̈ʒuTCYŏ̏Ԃɖ߂">State Reset :</span>
						<select id="set_m_reset" name="sc_m_reset">$dd->{'mkey_list'}[9]</select> +
						<select id="set_k_reset" name="sc_k_reset">$dd->{'sckey_list'}[9]</select>
					</p>
					<p id="set_p_news">
						<span title="f̋L[h">Reload News :</span>
						<select id="set_m_news" name="sc_m_news">$dd->{'mkey_list'}[10]</select> +
						<select id="set_k_news" name="sc_k_news">$dd->{'sckey_list'}[10]</select>
					</p>
					<p id="set_p_list">
						<span title="f݂̌̉{҃XgXV">Reload Member List :</span>
						<select id="set_m_list" name="sc_m_list">$dd->{'mkey_list'}[11]</select> +
						<select id="set_k_list" name="sc_k_list">$dd->{'sckey_list'}[11]</select>
					</p>
				</div>
			</td>
		</tr></table>
	</form>
</div>
</div>
</body>
</html>
EOM
## ܂HTML
	return $disp;
}


##------------------------------------------
## ݒtH[iselect^Oj
##------------------------------------------
sub skin_set_select{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<option style="color:#$dd->{'color'}" value="$dd->{'value'}"$dd->{'selected'}>$dd->{'print'}</option>
EOM
## ܂HTML
	return $disp;
}


##------------------------------------------
## wv
##------------------------------------------
sub skin_help{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<div id="help">
	<div>
		<a href="#help_menu_t">ej[̐</a><br />
		<a href="#help_func_t">e@\\̐</a><br />
		<a href="#help_set_t">ݒ̐</a><br />
		<a href="#help_attention_t">ӎ</a>
	</div>
	<hr />
	<div id="help_menu">
		<h4><a id="help_menu_t">ej[̐</a></h4>
		<div id="help_menu_c">
			$dd->{'name'}@EEE@eݒ肪łtH[\\܂B<br />
			News@EEE@CƂȂy[WłBŐV$INI{'top_news'}̋L\\܂B<br />
			Log@EEE@ۑĂSĂ̋L\\܂B<br />
			Help@EEE@̃y[WłB<br />
			Admin@EEE@Ǘҗp̃y[WłB
		</div>
	</div>
	<hr />
	<div id="help_func">
		<h4><a id="help_func_t">e@\\̐</a></h4>
		<div id="help_func_c">
			<p>
				fɓeɂ́A͗ɓ̓J[\\ԂŃG^[L[Ɠeł܂B<br />
				̎A͗ɉĂȂ烊[ĥݍs܂B
			</p>
			<p>
				ݒtH[疼OAFAV[gJbgL[̐ݒ肪ł܂B<br />
				̏ꍇAuEŨNbL[LɂȂĂȂꍇAݒef܂B<br />
				ɂȂĂNbL[Lɂ@͈ȉ̒ʂłB<br />
				@@Firefox 1.5 ̏ꍇ<br />
				@@c[IvVvCoV[CookieOTCg A<br />
				@@̌f̂TCg̃AhX͂ANbNĂB<br />
				@@Internet Explorer 6.0 ̏ꍇ<br />
				@@c[C^[lbgIvVvCoV[TCg A<br />
				@@̌f̂TCg̃AhX͂ANbNĂB
			</p>
			<p style="display:$dd->{'display'}{'visitorlist_reload_time'}">
				̌f͐VeꍇIɋL[h܂B<br />
				ALȊÕy[W{̏ꍇ͎IɃ[h܂B
			</p>
			<p style="display:$dd->{'display'}{'visitorlist_usable'}">
				Ẽj[̏Ɍ݂̌f{Ăl̖O\\܂B<br />
				<span style="display:$dd->{'display'}{'visitorlist_reload_time'}">̉{҂̃Xg͕ωƎIɍXV܂B<br /></span>
				̉{҂̃Xg̓V[gJbgL[i$dd->{'sc'}[11]jōŐV̏ɍXVł܂B<br />
				̉{ҕ\\@\\Opera8ȏŕs܂B
			</p>
			<p style="display:$dd->{'display'}{'js_full_mode'}">
				f̃^Cgo[hbOhbv邱ƂŌfړ邱Ƃł܂B<br />
				f̉E̊phbOhbv邱ƂŌf̃TCYRɕύXł܂B
			</p>
			<p style="display:$dd->{'display'}{'js_full_mode'}">
				f̃^Cgo[Eɂŏ{^NbN邱ƂŁAfŏ邱Ƃł܂B<br />
				ŏꂽԂōŏ{^NbNƌf͌̃TCYɖ߂܂B<br />
				̑̓V[gJbgL[i$dd->{'sc'}[1]jł܂B
			</p>
			<p style="display:$dd->{'display'}{'js_full_mode'}">
				܂Aׂ̗̕{^NbNƌf邱Ƃł܂B<br />
				Ă܂fēx\\ɂ̓y[W[h邩A<br />
				V[gJbgL[i$dd->{'sc'}[2]jĂB
			</p>
			<p style="display:$dd->{'display'}{'js_full_mode'}">
				̌f̓V[gJbgL[ɂĂ̑sƂł܂B<br />
				̃V[gJbgL[̐ݒ͖K҂ݒtH[玩RɕύX邱Ƃł܂B<br />
				݂̃V[gJbgL[̐ݒ͈ȉ̂悤ɂȂĂ܂B<br />
				$dd->{'sc'}[0]@EEE@͗ɃtH[JX킹<br />
				$dd->{'sc'}[1]@EEE@fŏ/ő剻<br />
				$dd->{'sc'}[2]@EEE@fN[Y/I[v<br />
				$dd->{'sc'}[3]@EEE@fֈړ<br />
				$dd->{'sc'}[4]@EEE@fֈړ<br />
				$dd->{'sc'}[5]@EEE@fEֈړ<br />
				$dd->{'sc'}[6]@EEE@fֈړ<br />
				$dd->{'sc'}[7]@EEE@f̃TCY傫<br />
				$dd->{'sc'}[8]@EEE@f̃TCY<br />
				$dd->{'sc'}[9]@EEE@f̈ʒuTCYŏ̏Ԃɖ߂<br />
				$dd->{'sc'}[10]@EEE@f̋L[h<br />
				$dd->{'sc'}[11]@EEE@f݂̌̉{҃XgXV
			</p>
		</div>
	</div>
	<hr />
	<div id="help_set">
		<h4><a id="help_set_t">ݒ̐</a></h4>
		<div id="help_set_c">
			<p>
				̌f̐ݒ̓NbL[ɂĕۑ邽߁ANbL[LłȂƐɔf܂B<br />
				NbL[ɂȂĂꍇɗLɂ@͈ȉ̒ʂłB<br />
				@@Firefox 1.5 ̏ꍇ<br />
				@@c[IvVvCoV[CookieOTCg A<br />
				@@̌f̂TCg̃AhX͂ANbNĂB<br />
				@@Internet Explorer 6.0 ̏ꍇ<br />
				@@c[C^[lbgIvVvCoV[TCg A<br />
				@@̌f̂TCg̃AhX͂ANbNĂB
			</p>
			<p>ݒ͓Kp{^NbN邱ƂŒɔf܂B</p>
			<p>
				Name@EEE@̖O̐ݒs܂B<br />
				Word Color@EEE@e镶̕F̐ݒs܂B<br />
				<span style="display:$dd->{'display'}{'visitorlist_usable'}">
					Stealth Mode@EEE@Ƀ`FbN邱ƂŁA̐l̉{҃Xg玩B܂B<br />
				</span>
				<span style="display:$dd->{'display'}{'js_full_mode'}">
					JavaScript Mode@EEE@ JavaScript̓샂[hύX܂BLite Mode ͍Œ̋@\\̂ݒ񋟂܂Aݒuy[W̓ǂݍݑxȂ܂B<br />
					Set Focus@EEE@͗ɃtH[JX킹V[gJbgL[ݒ肵܂B<br />
					Minimize or Maximize@EEE@fŏ/ő剻V[gJbgL[ݒ肵܂B<br />
					Close or Open@EEE@f/J̑V[gJbgL[ݒ肵܂B<br />
					Move Left@EEE@fֈړV[gJbgL[ݒ肵܂B<br />
					Move Up@EEE@fֈړV[gJbgL[ݒ肵܂B<br />
					Move Right@EEE@fEֈړV[gJbgL[ݒ肵܂B<br />
					Move Down@EEE@fֈړV[gJbgL[ݒ肵܂B<br />
					Resize Bigger@EEE@f̃TCY傫V[gJbgL[ݒ肵܂B<br />
					Resize Smaller@EEE@f̃TCYV[gJbgL[ݒ肵܂B<br />
					State Reset@EEE@f̈ʒuTCYŏ̏Ԃɖ߂V[gJbgL[ݒ肵܂B<br />
					Reload News@EEE@f̋L[hV[gJbgL[ݒ肵܂B<br />
					Reload Member List@EEE@{҃XgŐV̂̂ɍXVV[gJbgL[ݒ肵܂B
				</span>
			</p>
		</div>
	</div>
	<hr />
	<div id="help_attention">
		<h4><a id="help_attention_t">ӎ</a></h4>
		<ol id="help_attention_c">
			<li>Ǘ҂svƔfL⑼l排L͗\\Ȃ폜邱Ƃ܂B</li>
			<li>̌f̓NbL[gpĂ܂BNbL[gȂꍇAeݒ肪ł܂B</li>
			<li>
				ꕔuEUAɌÂo[W̕ł͋@\\܂B<br />
				ArIVo[Wɂ炸G[oĂꍇA
				<a href="http://rohuu.s59.xrea.com/" target="_blank">҂̃TCg</a>ɏڍׂAƂ肪łB
			</li>
			<li>̌fɂĂȂ鎖ԂĂA҂͈؂̐ӔC𕉂܂B</li>
		</ol>
	</div>
	<hr />
	<div id="help_copyright">
		̌fɂuOiNICv]ڂꂽSẴRec̒쌠ɂ܂ẮA<br />
		^cłKz[EICEG^[eCgЂ<br />
		Jł銔ЃOBeBтɌ҂ł郊[E~WɋA܂B<br />
		(C)2004 Gravity Corp. &amp; Lee Myoungjin (studio DTDS),All Rights Reserved.<br />
		(C)2005 GungHo Online Entertainment, Inc. All Rights Reserved.
	</div>
</div>
</div>
</body>
</html>
EOM
## ܂HTML
	return $disp;
}


##------------------------------------------
## I[gN
##------------------------------------------
sub skin_autolink{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<a href="$dd->{'url'}" target="_blank">$dd->{'url'}</a>
EOM
## ܂HTML
	return $disp;
}


##------------------------------------------
## G[\
##------------------------------------------
sub skin_error{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<div id="error">
	<p id="error_sabacan">T[o[̐ڑLZ܂B</p>
	<p id="error_mess">$dd->{'error_mess'}</p>
</div>
</div>
</body>
</html>
EOM
## ܂HTML
	return $disp;
}


##------------------------------------------
## bZ[W
##------------------------------------------
sub skin_message{
	my $dd = shift;
	return(
		'<p>fւ̃ANZXĂ܂B</p>',
		'Ot@C̓ǂݍ݂Ɏs܂B',
		'sNGXg',
		'O܂B',
		"eԊuZ܂B$INI{'interval'}bȏ゠ĂB",
		'eʂ傫܂B',
		'Ot@Cւ݂̏Ɏs܂B',
		'rW[ԂłB',
		"$dd->{'del_num'}폜܂B",
		'폜Lw肳Ă܂B',
		'PasswordႢ܂B',
		'Aeh~p̈ꎞt@C̍쐬Ɏs܂B',
		'Ot@C̃^CXp̋L^Ɏs܂B',
		"<i>댯URLF<del>$dd->{'url'}</del></i>",
	);
}


##------------------------------------------
## Ǘ
##------------------------------------------
sub skin_login{
	my $disp = <<"EOM";     ## HTML
<div id="login">
	<form id="login_form" action="$INI{'scr'}" method="post">
		<p id="login_p_input">
			<input id="login_mode" type="hidden" name="mode" value="admin" />
			Password<br />
			<input id="login_pass" type="password" name="admin_pass" />
			<input id="login_submit" type="submit" value=" Login " />
		</p>
	</form>
</div>
</div>
</body>
</html>
EOM
## ܂HTML
	return $disp;
}


##------------------------------------------
## ǗiL\/Śj
##------------------------------------------
sub skin_admin{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<div id="admindel">
	<form id="admindel_form" action="$INI{'scr'}" method="post">
		<p id="admindel_p_hidden">
			<input id="admindel_mode" type="hidden" name="mode" value="admin" />
			<input id="admindel_action" type="hidden" name="action" value="del" />
			<input id="admindel_pass" type="hidden" name="admin_pass" value="$in{'admin_pass'}" />
		</p>
		<p id="admindel_title">L폜</p>
		<p id="admindel_news">$dd->{'news'}</p>
		<p id="admindel_p_submit"><input id="admindel_submit" type="submit" value=" 폜 " /></p>
	</form>
</div>
</div>
</body>
</html>
EOM
## ܂HTML
	return $disp;
}


##------------------------------------------
## ǗiL\/sj
##------------------------------------------
sub skin_admin_line{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<input id="admindel_line$dd->{'num'}_checkbox" type="checkbox" name="del_num" value="$dd->{'num'}" />
<span id="admindel_line$dd->{'num'}" title="$dd->{'date'}" style="color:#$dd->{'color'}">$dd->{'name'} : $dd->{'com'}</span>@<small>[$dd->{'ip'}]</small><br />
EOM
## ܂HTML
	return $disp;
}


##------------------------------------------
## Ǘi폜j
##------------------------------------------
sub skin_admin_fin{
	my $dd = shift;
	my $disp = <<"EOM";     ## HTML
<div id="admindelfin">
	<p id="admindelfin_mess">$dd->{'mess'}</p>
	<form id="admindelfin_form" action="$INI{'scr'}" method="post">
		<p id="admindelfin_p_input">
			<input id="admindelfin_mode" type="hidden" name="mode" value="admin" />
			<input id="admindelfin_pass" type="hidden" name="admin_pass" value="$in{'admin_pass'}" />
			<input id="admindelfin_submit" type="submit" value="߂" />
		</p>
	</form>
</div>
</div>
</body>
</html>
EOM
## ܂HTML
	return $disp;
}


1;
__END__
